Subject: Re: [its] presentation of 3 topics to GENIVI Networking Experts group, and the suggestion. (Alexandru Petrescu)

From: Alison Chaiken <[email-masked]>
Date: Thu, 19 Sep 2013 08:35:50 -0700

Still catching up on old email; sorry!

I was just reading Alex's slides and was struck by

"IP communications for vehicular-specific applications: eCall,
éco-taxe, do-not-pass warning (DNPW), onboard infotainment."

as use cases.    Obviously they are the most important ones for the
GENIVI automotive software consortium (with which I sometimes work).
However, consider application of geonetworking to "civilian
drones"(http://www.bbc.co.uk/programmes/b039d4cy).    Assuredly this
industry will boom, and may find important uses in ITS.    If drones
can perform functions like deliver medicines in remote areas or spot
fish for fishermen, they will need to report their location.    Will
they want to use IPv6 and will they associate with base-stations?
What about the case of collision avoidance?    Will drones want to use
geonetworking?

I guess it strikes me that geonetworking is potentially a vast topic.
    Looking at Alex's slide 2 on the topic's history, I almost wonder
if what's needed most is not an umbrella group to bring all the
relevant parties together.

I mention all these questions not because I want to derail the present
discussion, but because engaging in a bunch of meetings that produce
no result is a waste of everyone's time.    Assuredly it it more
important to get ideas right rather than meet a deadline.

-- Alison

-- 
Alison Chaiken                           [email-masked]
650-279-5600                            http://{she-devel.com,
exerciseforthereader.org}
It's a bug that cars were invented before computers.    -- Eric Schmidt

---

From: Michael Richardson <[email-masked]>
Date: Thu, 19 Sep 2013 13:21:58 -0400

Alison Chaiken <[email-masked]> wrote:
    > industry will boom, and may find important uses in ITS.  If drones can
    > perform functions like deliver medicines in remote areas or spot fish
    > for fishermen, they will need to report their location.  Will they want
    > to use IPv6 and will they associate with base-stations?  What about the
    > case of collision avoidance?  Will drones want to use geonetworking?

Generally, it is better not to be general in a work plan, and instead be
specific, and allow planned scope expansion.

    > discussion, but because engaging in a bunch of meetings that produce no
    > result is a waste of everyone's time.  Assuredly it it more important
    > to get ideas right rather than meet a deadline.

If the people who operate drones come to the meeting and say that they want
to be included, then it would be obvious that we would include them.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        | network architect  [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

--
Michael Richardson <[email-masked]>, Sandelman Software Works

---

From: <[email-masked]>
Date: Sun, 22 Sep 2013 05:08:05 +0000

Hi all,

We would like to inform you that yesterday we have submitted the draft that describes the problem statement associated with Internet-wide Geo-networking, please follow the link below!

http://www.ietf.org/internet-drafts/draft-karagiannis-problem-statement-geonetworking-00.txt

Comments are very welcome!

Best regards,

Georgios